# アプリケーションの起動時間（クラシック）

業務に不可欠なアプリケーションの起動にかかる時間は、社員のデジタル体験に直接影響を与えます。

アプリケーションの起動時間を監視することで、デジタル社員体験（DEX）を向上させましょう。

{% hint style="info" %}
適用されるプラットフォーム | Windows |
{% endhint %}

### アプリケーション起動時間の測定 <a href="#applicationstartupduration-classic-measurementoftheapplicationstartupduration" id="applicationstartupduration-classic-measurementoftheapplicationstartupduration"></a>

アプリケーションの起動時間は、カーネルが新しいアプリケーションプロセスを開始してから、アプリケーションがメインウィンドウを表示するまでに経過する時間を測定します。

| アプリケーション起動時間         | アプリケーション起動時間 |
| -------------------- | ------------ |
| 開始                   | 終了           |
| カーネルがアプリケーションプロセスを開始 | メインウィンドウが表示  |

#### Finder（クラシック）およびNXQLを使用したアプリケーション起動時間の確認 <a href="#applicationstartupduration-classic-inspectingapplicationstartupdurationthroughfinder-classic-andnxql" id="applicationstartupduration-classic-inspectingapplicationstartupdurationthroughfinder-classic-andnxql"></a>

Nexthink内のアプリケーション起動時間を含む活動は**実行**です。 Finderで選択した業務アプリケーションの実行を調査するには、以下の手順で行います：

1. **開始**ページの下部にある**新規調査**をクリックします。
2. **アクティビティ**タブで**実行**を選択します。
3. 条件と時間枠を希望の内容で入力します。
4. **表示**セクションの**列**に実行の**起動時間**が含まれていることを確認します。
5. **実行**をクリックします。

NXQLでは、フィールド名の**Startup duration**は**startup\_duration**に翻訳されます。 例えば、バイナリ実行のパスと起動時間のリストを取得するには、次のクエリを入力します：

```
(select (binary_path startup_duration) (from execution) (limit 100))
```

さらに、デバイス、ユーザー、アプリケーション、実行ファイル、バイナリ オブジェクトのアプリケーション起動時間の平均を計算するための集計**平均アプリケーション起動時間**が利用可能です。 したがって、この集計は数量指標に使用できます。

NXQLでは、集計の**平均アプリケーション起動時間**は**average\_process\_start\_time**という名前で利用可能です。 例えば、前日のアプリケーションの平均起動時間を計算するには、次のクエリを入力します：

```
(select name (from device
   (with execution (compute average_process_start_time)
   (between now-1d now))))
```

### 要件 <a href="#applicationstartupduration-classic-requirements" id="applicationstartupduration-classic-requirements"></a>

アプリケーション起動時間は、すべてのアプリケーションに標準で利用できるわけではなく、特定の許可リストに実行可能ファイルが入力されているアプリケーションにのみ適用されます。 デフォルトでは、許可リストには次のアプリケーションが含まれています。

| アプリケーションタイプ | アプリケーション           | 実行可能ファイル名                                           |
| ----------- | ------------------ | --------------------------------------------------- |
| ウェブブラウザ     | Chrome             | chrome.exe                                          |
| ウェブブラウザ     | Firefox            | firefox.exe                                         |
| ウェブブラウザ     | Internet Explorer  | iexplorer.exe                                       |
| オフィススイート    | Word               | winword.exe                                         |
| オフィススイート    | Excel              | excel.exe                                           |
| オフィススイート    | PowerPoint         | powerpnt.exe                                        |
| オフィススイート    | Outlook            | outlook.exe                                         |
| オフィススイート    | OneNote            | <p>onenote.exe<br>onenoteim.exe<br>onenotem.exe</p> |
| 通信          | Skype for Business | lync.exe                                            |
| 通信          | Zoom               | zoom.exe                                            |

Collectorが正確なアプリケーション起動時間を報告するためには、アプリケーションが次の要件を満たす必要があります。

**メインウィンドウのネイティブタイトルバー**

起動時間の測定には、スプラッシュスクリーンと区別するためにメインウィンドウに標準のタイトルバーを表示する必要があります。 ウィンドウを表示しないアプリケーション（コンソールアプリケーションや最小化された状態で実行されるアプリケーション）は、測定から除外されます。

**アプリケーションはUniversal Windows Platform (UWP)アプリではありません**

この種のアプリケーションには測定方法が機能しません。

**アプリケーションは起動に3分未満かかります**

システムは3分以上かかるアプリケーションの起動時間を報告しません。これはアプリケーションが応答しないなどの他の問題を示す可能性があります。

**アプリケーションはメインウィンドウの初期化と表示に1つのプロセスを使用します**

Collectorは、初期化のために複数のプロセスを発生させ、1つのプロセスのみがメインウィンドウを表示する責任を持つアプリケーションの起動時間値が不正確であると報告する場合があります。

**アプリケーションはx64バイナリでなければなりません**

Collectorは32ビットアプリケーションの実行を引き続き報告します。 ただし、アプリケーションの開始時間は、23.6かそれ以降のバージョンのCollectorでは64ビットアプリケーションに対してのみ利用可能です。

### 構成 <a href="#applicationstartupduration-classic-configuration" id="applicationstartupduration-classic-configuration"></a>

アプリケーションを許可リストに追加するには、まず要件を満たしていることを確認し、測定の精度をテストしてから、本番で新しい許可リストを有効にします。 既定の実行可能ファイルリストを必ずご自身の許可リストに含めてください。

許可リストの形式は、実行可能ファイル名のカンマ区切りのリストで構成されています。 アスタリスクは、実行可能ファイル名のゼロ個以上の文字を置き換えるワイルドカードとして使用できます。例えば、

```
"winword.exe,excel.exe,onenote*"
```

\
アプリケーションの許可リストを変更するには、以下の方法を使用してください。

#### レジストリキー <a href="#applicationstartupduration-classic-registrykey" id="applicationstartupduration-classic-registrykey"></a>

デバイスの許可リストをローカルで変更するには、このレジストリキーを編集します。

```
HKEY_LOCAL_MACHINE\SOFTWARE\Nexthink\Collector\AppStartTime\Whitelist
```

#### MSIパラメータ <a href="#applicationstartupduration-classic-msiparameter" id="applicationstartupduration-classic-msiparameter"></a>

または、この[MSI パラメーター](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/windows-collector-references/collector-msi-parameters-reference-table.md#collectormsiparametersreferencetable-optionalparameters)の値としてパスリストとともに Collector をインストールします。

```
APP_START_TIME_WHITELIST
```

#### Library pack <a href="#applicationstartupduration-classic-librarypack" id="applicationstartupduration-classic-librarypack"></a>

Collector ConfigurationのLibrary packで、リモートアクション [Set Collector Configuration](https://www.nexthink.com/library/collector-configuration/#set-collector-configuration) を実行し、パラメータ`AppStartTimeWhitelist` の値としてお客様の許可リストを使用します。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/references/references-classic/database-information-and-organization-classic/application-startup-duration-classic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
